{% extends 'base.html' %}
{% load static %}

{% block meta %}
<link rel="stylesheet" href="{% static 'style.css' %}">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
<title>Story 7 - Accordion</title>

{% endblock meta %}

{% block content %}
<div id="accordion">
  <div class="item">
    <div><b>A</b>
      <button class="up">Up</button>
      <button class="down">Down</button>
    </div>
    <div>
      <p>Ayam goreng</p>
    </div>
  </div>
  
  <div class="item">
    <div>B
      <button class="up">Up</button>
      <button class="down">Down</button>
    </div>
    <div>
    <p>Batagor</p>
    </div>
  </div>
  
  <div class="item">
    <div>C
      <button class="up">Up</button>
      <button class="down">Down</button>
    </div>
    <div>
      <p>Combro</p>
    </div></div>

  <div class="item">
    <div>D
      <button class="up">Up</button>
      <button class="down">Down</button>
    </div>
    <div>Test</div>
  </div>
</div>
<script>
  $( function() {
      $( "#accordion" ).accordion({
        collapsible: true,
        header: "> div > div"
      });
  });

  $(".down").click(function(){
    var $selected = $(this).parent().parent();
    if ($selected.not(':last-child'))
      $selected.next().after($selected);
  })

  $(".up").click(function(){
    var $selected = $(this).parent().parent();
    if ($selected.not(':first-child'))
      $selected.prev().before($selected);
  })
</script>

{% endblock content %}

<script>
  
</script>